Next Commerce
API ReferenceCampaigns

Campaigns Shipping Methods Partial Update

Partially update a shipping method on the campaign.

PATCH
/campaigns/{id}/shipping-methods/{shippingMethodId}/

Authorization

oauth2 campaigns:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: campaigns:write

Path Parameters

id*integer

Campaign ID.

shippingMethodId*integer

Shipping method reference ID, unique within the campaign.

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Request Body

Response Body

application/json

curl -X PATCH "https://example.com/campaigns/0/shipping-methods/0/" \  -H "X-29next-API-Version: 2024-04-01" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "name": "string",  "prices": [    {      "currency": "str",      "price": "string"    }  ],  "shipping_method": "string"}